import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class SettingsForm extends Form implements CommandListener
{ 
    Game        game;
    Displayable parent;
    Gauge       hunterSpeed;
    Gauge       mammothSpeed;
    Gauge       nHunters;
    Gauge       detectionDistance;

    SettingsForm(Game game, Displayable parent) 
    {
        super("Game settings");        
        this.game = game;
        this.parent = parent;

        hunterSpeed = new Gauge("Hunter speed", true, Settings.MAX_SPEED, game.settings.hunterSpeed);
        mammothSpeed = new Gauge("Mammoth speed", true, Settings.MAX_SPEED, game.settings.mammothSpeed);
        nHunters = new Gauge("Number of hunters", true, Settings.MAX_HUNTERS, game.settings.nHunters);
        detectionDistance = new Gauge("Detection distance", true, Settings.MAX_DISTANCE,  game.settings.detectionDistance);
        append(hunterSpeed);
        append(mammothSpeed);
        append(nHunters);
        append(detectionDistance);

        setCommandListener(this);
        addCommand(Game.BACK_CMD);
        addCommand(Game.SAVE_CMD);
        Display.getDisplay(game).setCurrent(this);
    }
           

    public void commandAction(Command c, Displayable d) 
    {        
        if (c == Game.SAVE_CMD) {
            game.settings.hunterSpeed = hunterSpeed.getValue();
            game.settings.mammothSpeed = mammothSpeed.getValue();
            game.settings.nHunters = nHunters.getValue();
            game.settings.detectionDistance = detectionDistance.getValue();
            game.saveSettings();
        } else if (c != Game.BACK_CMD) {
            return;
        }
        Display.getDisplay(game).setCurrent(parent);
    }
}





